import { src, dest } from 'gulp';
import zip from 'gulp-zip';
import pjson from './package.json';

export default function() {
	return src( [
		'**/*',
		'!src/**',
		'!node_modules/**',
		'!README.md',
		'!.*',
		'!package.json',
		'!yarn.lock',
		'!webpack.config.*',
		'!tsconfig.*',
		'!gulpfile.*',
	] )
		.pipe( zip( `cognito-forms-${ pjson.version }.zip` ) )
		.pipe( dest( '.' ) );
}
