export enum EmbedMode {
	Seamless,
	IFrame,
}

export interface IBlockAttributes {
	orgId: string;
	formId: string;
	iframeEmbedCode: string;
	seamlessEmbedCode: string;
	ampEmbedCode: string;
	embedMode: EmbedMode;
}

export interface IForm {
	orgId: string;
	formId: string;
	embedCodes: {
		Seamless: string;
		IFrame: string;
		Amp: string;
	}
}
